{% extends 'base.html.twig' %}

{% block title %}Hoja de Valoración{% endblock %}

{% block body %}
<section>
  <div class="valoraciones">
    <div class="container">
      <div class="row">
          <div class="col-6">
            <h4>CUADRO CLÍNICO</h4>
          </div>
          <div class="col-6">
            <a class="btn btn-primary d-print-none"
              href="{{ path('cuadros_clinicos_new', {'paciente': paciente.id}) }}">
              <span>
                <i class="fas fa fa-plus"></i>
              </span>
              Agregar Registro al Cuadro clínico
            </a>
          </div>
      </div>
    </div>
    <div class="container border">
      <div class="row">
        <div class="col-4">
          <b>Apellido y Nombre:</b> <a href="{{ path('pacientes_show', {'id': paciente.id}) }}">{{paciente.apellido}}, {{paciente.nombre}}</a>
        </div>
        <div class="col-4">
          <b>Edad:</b> {{date("now"|date('d/m/Y')).diff(paciente.fechaNacimiento).y}}
        </div>
        <div class="col-4">
          <b>Fecha de Nacimiento:</b> {{paciente.fechaNacimiento|date('d/m/Y')}}
        </div>
      </div>
      <div class="row">
        <div class="col-4">
          <b>DNI:</b> {{paciente.dni}}
        </div>
        <div class="col-4">
          <b>Domicilio:</b> {{paciente.domicilio}}
        </div>
        <div class="col-4">
          <b>Obra Social:</b> {{paciente.obraSocial}}
        </div>
      </div>
      <div class="row">
        <div class="col-4">
          <b>Teléfono:</b> {{paciente.telefono}}
        </div>
        <div class="col-4">
          <b>Fecha de Ingreso:</b>
          <!-- {valoracione.fechaIngreso ? valoracione.fechaIngreso|date('d/m/Y')}} -->
        </div>
        <div class="col-4">
          <b>Hora:</b>
          <!-- {valoracione.horaLlegada ? valoracione.horaLlegada|date('H:i')}} -->
        </div>
      </div>
      <div class="d-flex flex-row-reverse">
        <div class="p-2">FIRMA Responsable</div>
      </div>
    </div>
  </div>
</section>
<section>
  <div class="container border">
    <div class="row">
      <div class="col-12">
        <h3><b>HOJA DE ENFERMERÍA DE GUARDIA</b></h3>
      </div>
      <div class="col-12">
        <table class="table table-responsive-sm">
          <thead>
            <tr>
              <th scope="col-2">Fecha</th>
              <th scope="col-2">Hora</th>
              <th scope="col-2">Tratamiento y Observaciones</th>
              <th scope="col-2">Dosis</th>
              <th scope="col-2">Via</th>
              <th scope="col-2">Usuario</th>
            </tr>
          </thead>
          <tbody>
            <!-- % for item in valoracione.enfermeriaGuardias %}
              <tr>
                <th scope="row">{item.fecha|date('d/m/Y')}}</th>
                <td>{item.hora|date('H:i')}}</td>
                <td>{item.observaciones}}</td>
                <td>{item.dosis}}</td>
                <td>{item.via}}</td>
                <td>{item.usuarioId.apellido ~ ', ' ~ item.usuarioId.nombre}}</td>
              </tr>
            { endfor %} -->
          </tbody>
        </table>
      </div>
    </div>
  </div>
</section>


{% endblock %}
